package logwire.web.bo.eventhandler;

import logwire.web.bo.object.BizObject;

public interface TypeOperationEventHandler<X extends BizObject> {
    String getOperation();

    boolean isEnabled();

    default String getQuery() {
        return "";
    }

    default boolean isAfter() {
        return true;
    }

    default int getOrder() {
        return 1000;
    }

    default void doBefore(Class<X> xClass, Object... args) {
        //调用行为同名方法
    }

    default void doAfter(Class<X> xClass, Object result, Object... args) {
        //调用行为同名方法
    }
}